E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
G::EpochTime Class Reference

A subsecond-resolution timestamp based on a time_t. More...

`#include <gdatetime.h>`

## Public Member Functions
| EpochTime (std::time_t)
| Constructor.
| EpochTime (std::time_t, unsigned long us)
| Constructor. The 'us' parameter can be more than 10^6.
void | streamOut (std::ostream &) const
| Used by operator<<.

## Public Attributes
std::time_t | s
unsigned int | us

## Detailed Description

A subsecond-resolution timestamp based on a time_t.

Definition at line 39 of file gdatetime.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gdatetime.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gdatetime.cpp